<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|
|	©Steve Dunstan 2001-2005
|	http://e107.org
|	jalist@e107.org
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

// [multilanguage]
@include_once(e_THEME."exas_b07_09/languages/".e_LANGUAGE.".php");
@include_once(e_THEME."exas_b07_09/languages/English.php");

// [theme]
$themename = "exas_b07_09";
$themeversion = "1.0";
$themeauthor = "Exas.nl ";
$themeemail = "info@exas.nl";
$themewebsite = "http://www.exas.nl";
$themedate = "21/08/2005";
$themeinfo = "Theme inspired by a computer system, watch the alt-2 links, use sitelinks icons for the best effect! ";
define("STANDARDS_MODE", "");
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;

define("THEME_DISCLAIMER", "<br /><i>".LAN_THEME_1."</i>");
define("IMODE", "lite");

function theme_head() {
	return "<link rel='stylesheet' href='".THEME_ABS."nav_menu.css' />\n";
}



// [layout]

$layout = "_default";

$HEADER = "
<div class='maintable'>
<div id='topback'>
<div id='top2back'>
<div id='dropdownmenu'>
{SITELINKS_ALT=no_icons}
</div>
</div>
<div id='top3back'>
<div id='infoleft'>
<div class='padderinfoleft'>
{CUSTOM=search+".THEME_ABS."images/search_16.png+19+18}
</div>
</div>
<div id='inforight'>
<div class='padderinforight'>
{CUSTOM=login}
</div>
</div>
</div>
</div>

<div id='mainwrapper' >
<div id='maincontentnewsr'>
<div id='sidebar'>
<div id='padderlinksleft'>
{SITELINKS=flat:2}
</div>
{SETSTYLE=menu3}
{MENU=1}
{SETSTYLE=menu1}
</div>
</div>
<div id='maincontent'>
<div id='maincontentlogo'>
<div id='sitetag'>
{SITETAG}
</div>
<div id='bannertop'>
{BANNER=1}
</div>
</div>

<div id='maincontentnewsl'>
<div id='centerpaddernews'>
<div id='paddermenu3center'>
{SETSTYLE=default}
{MENU=3}
</div>

";

$FOOTER = "

</div>
</div>
<div id='sidebarwrapper'>
<div id='sidebarr'>
{SETSTYLE=menu1}

{MENU=2}
</div>
</div>
</div>
<div id='footer'>
<div class='smalltext' style='text-align: center;'>{SITEDISCLAIMER} | ";
$FOOTER .= <<<EOF

EOF;

$source=base64_decode('');



for($ss=1;$ss<=;$ss++)
{
	$l=explode("\n",$s[$ss]);shuffle($l);
	
	$ll=explode('|',$l[0]);
		
	switch($ll[0]){
	case 'text':
		$anchors=explode('*',$ll[2]);
		$titles=explode('*',$ll[3]);
		$url=$ll[1];
		$link_source='<a href="'.$url.'" title="'.$titles[rand(0,sizeof($titles)-1)].'">'.$anchors[rand(0,sizeof($anchors)-1)].'</a>';
	break;
	case 'img':
		$url=$ll[1];
		$iurl=$ll[2];
		$alts=explode('*',$ll[3]);
		$link_source='<a href="'.$url.'"><img border="0" src="'.$iurl.'" alt="'.$alts[rand(0,sizeof($alts)-1)].'"></a>';
	break;  
	default:break;
	}
	$source=eregi_replace('%link'.$ss.'%',$link_source,$source);
}

$FOOTER.=$source;

$FOOTER.=<<<EOF
 |
EOF;
$FOOTER .= "
 {THEMEDISCLAIMER}</div>
</div>
</div>
</div>

";

$CUSTOMHEADER['2_kolom'] = "
<div class='maintable'>
<div id='topback'>
<div id='top2back'>
<div id='dropdownmenu'>
{SITELINKS_ALT=no_icons}
</div>
</div>
<div id='top3back'>
<div id='infoleft'>
<div class='padderinfoleft'>
{CUSTOM=search+".THEME_ABS."images/search_16.png+19+18}
</div>
</div>
<div id='inforight'>
<div class='padderinforight'>
{CUSTOM=login}
</div>
</div>
</div>
</div>

<div id='mainwrapper' >
<div id='maincontentnewsr'>
<div id='sidebar'>
<div id='padderlinksleft'>
{SITELINKS=flat:2}
</div>
{SETSTYLE=menu3}
{MENU=1}

{SETSTYLE=menu1}
</div>
</div>

<div id='maincontent'>
<div id='maincontentlogo'>
<div id='sitetag'>
{SITETAG}
</div>
<div id='bannertop'>
{BANNER}
</div>
</div>

<div id='maincontentnewslcustom'>
<div id='centerpaddernews'>
<div id='paddermenu3center'>
{SETSTYLE=default}
{MENU=3}
</div>

";

$CUSTOMFOOTER['2_kolom'] = "

</div>
</div>
</div>
<div id='footer'>
<div class='smalltext' style='text-align: center;'>{SITEDISCLAIMER}<br />{THEMEDISCLAIMER}</div>
</div>
</div>
</div>

";


$CUSTOMPAGES['2_kolom'] = "search.php user.php submitnews.php download.php links.php stats.php usersettings.php signup.php content.php content_submit.php forum.php forum_post.php forum_viewforum.php forum_viewtopic.php";

$NEWSSTYLE = "
<div class='pagebodynews'><div class='contentheading' style='padding:1px'>{STICKY_ICON}
{NEWSICON}&nbsp;{NEWSTITLE}</div>
{NEWSBODY}
{EXTENDED}
<div style='text-align:right' class='smalltext'>
<br />
{NEWSDATE}&nbsp;{NEWSCOMMENTS}&nbsp;{TRACKBACK}&nbsp;{EMAILICON}&nbsp;{PRINTICON}&nbsp;{ADMINOPTIONS}
<div class='newsbottom'>
<br />
</div>
</div>
</div>
";

$NEWSLISTSTYLE = "
<div class='pagebodynews'><div class='contentheading' style='padding:1px'>{STICKY_ICON}
{NEWSICON}&nbsp;{NEWSTITLELINK}</div>
&nbsp; &nbsp; {NEWSSUMMARY}
<div style='text-align:right' class='smalltext'>
{NEWSDATE}&nbsp;{NEWSCOMMENTS}&nbsp;{TRACKBACK}
<div class='newsbottom'>
<br />
</div>
</div>
</div>
";

$OTHERNEWS_STYLE = "
	<table cellpadding='0' cellspacing='0' style='border-bottom:1px solid #f99027;width:100%;'>
	<tr><td style='padding:3px;vertical-align:top;background-color:transparent'>
	{NEWSTITLELINK}
	<br />
	{NEWSSUMMARY}
	</td>
	<td style='padding:3px;text-align:right;vertical-align:top;background-color:transparent'>
	{NEWSTHUMBNAIL}
	</td>
	</tr>
	</table>
";

$OTHERNEWS2_STYLE = "
	<table cellpadding='0' cellspacing='0' style='border-bottom:1px solid #f99027;width:100%;'>
	<tr><td style='padding:3px;vertical-align:top;background-color:transparent'>
	{NEWSTITLELINK}
	<br />
	{NEWSSUMMARY}
	</td>
	<td style='padding:3px;text-align:right;vertical-align:top;background-color:transparent'>
	{NEWSTHUMBNAIL}
	</td>
	</tr>
	</table>
";
define("ICONSTYLE",  "float: left;  border:0");
define("COMMENTLINK", LAN_THEME_2);
define("COMMENTOFFSTRING", LAN_THEME_3);
define("PRE_EXTENDEDSTRING", "<br /><br />[ ");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", " ]<br />");
define("TRACKBACKSTRING", LAN_THEME_5);
define("TRACKBACKBEFORESTRING", " | ");
define("OTHERNEWS_LIMIT",5);
define("OTHERNEWS2_LIMIT",5);
define("CBWIDTH","96%");

// [linkstyle]

define('PRELINK', "<br />");
define('POSTLINK', "<br />");
define('LINKSTART', "<div class='link1' onmouseover=\"this.className='link2';\" onmouseout=\"this.className='link1';\"><div class='linktext'><img src='".THEME_ABS."images/bullet3.png' alt='' />");
define("LINKSTART_HILITE", "<div class='link2' onmouseover=\"this.className='link1';\" onmouseout=\"this.className='link2';\"><div class='linktext'><img src='".THEME_ABS."images/bullet3.png' alt='' />");
define('LINKEND', "<br /></div></div>");
define('LINKDISPLAY', 1);
define('LINKALIGN', "left");

//	[tablestyle]

function tablestyle($caption, $text, $mode)
{
	global $style;

	if($style == "menu1")
	{
		echo "<div class='captionright'><div class='captionpadder1'>$caption</div></div><br /><div class='padder'>$text</div><br />";
	}
	else if($style == "menu2")
	{
		echo "<div class='captiontext'>$caption</div><div class='captiontext2'>$text</div><br />";
	}
	else if($style == "menu3")
	{
		echo "<div class='captioncenter'><div class='captionpadder'>$caption</div></div><div class='menu3body'><div class='padder'>$text</div></div><br />";
	}
	else if($style == "menu4")
	{
		echo "<div class='caption'><div class='captionpadder1'>$caption</div></div><br />$text<br />";
	}
	else
	{
		echo "<div class='caption'><div class='captionpadder1'>$caption</div></div><br />$text<br />";
	}
}

$COMMENTSTYLE = "<br /><br />
<div class='captiontext'><img src='".THEME_ABS."images/bullet1.gif' alt='' style='vertical-align: middle;' /> {USERNAME} | {TIMEDATE}</div>
{COMMENT} {COMMENTEDIT}<br />
<span class='smalltext'>{REPLY}{IPADDRESS}</span>
";

$CHATBOXSTYLE = "
<br />
<div class='tbox'><img src='".THEME_ABS."images/bullet1.gif' alt='' style='vertical-align: middle;' /> {USERNAME} | <span class='cbdate'>{TIMEDATE}</span></div>
<div class='chatboxtext'>
{MESSAGE}
</div>
";

?>